Bug 811489 - kwallet does not remember allowed applications
kwallet does not remember allowed applications
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kwallet (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 05:13 EDT by Karel Volný
Modified: 2013-08-01 07:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:40:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
kwallet prompt (33.97 KB, image/png)
2012-04-11 05:13 EDT, Karel Volný
no flags Details
"Aplikace Zimbra typu požaduje přístup k otevřené úschovně kdewallet." (429.61 KB, image/png)
2012-12-23 02:55 EST, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2012-04-11 05:13:48 EDT
Created attachment 576720 [details]
kwallet prompt

Description of problem:
Every here and there, I get kwallet prompt to allow access from some applications. All the time, I'm clicking "allow always", yet I get the same question for the same application again after some time.

Version-Release number of selected component (if applicable):
kwallet-4.8.2-1.fc17.x86_64

How reproducible:
sometimes

Steps to Reproduce:
1. use some service that accesses kwallet
2. when prompted to allow the access from the application, choose "always allow"
3. continue using the application, do some logout/logon cycles, have some patience for a few days

Actual results:
after some tries, the application's access to kwallet is suspended, you get the same prompt again, having to explicitly allow the access

Expected results:
if you choose to allow/deny _always_, you answer this question just once per application, not being bothered again

Additional info:
hm, I remember that there should exist also some bug/RFE to add an interface to manage allowed applications, but I don't see anything like that in systemsettings, has it been implemented or forgotten forever?
Comment 1 Martin Bříza 2012-06-19 09:42:27 EDT
I haven't experienced the behavior you're describing here. However, it could be caused by the fact I'm using kwallet only in a minority of applications (dolphin for example) and it is asking just for the password to the wallet to open it. Could you please name a few examples of apps where this problem happens?

The allowed applications can be accesed via kwalletmanager.
Comment 2 Karel Volný 2012-12-20 09:22:52 EST
(In reply to comment #1)
> Could you please name a few examples of apps where this problem happens?

see the attachment :-)

the others being Konqueror, KMail, Krusader ...

> The allowed applications can be accesed via kwalletmanager.

I can see the list there but I cannot edit it


well, I haven't seen this bug lately, probably it got fixed in 4.9.x

I don't know how to confirm this as the behaviour was a bit random ... I guess I'd just leave this rot until F17 becomes EOL ;-)
Comment 3 Karel Volný 2012-12-23 02:55:03 EST
Created attachment 667942 [details]
"Aplikace Zimbra typu požaduje přístup k otevřené úschovně kdewallet."
Comment 4 Karel Volný 2012-12-23 02:58:45 EST
(In reply to comment #2)
> well, I haven't seen this bug lately, probably it got fixed in 4.9.x

curse, I've just hit it again, see the new screenshot

I've just suspended the machine by closing the lid, then after waking it up and unlocking the screen, this is what I got ...

kwallet-4.9.4-1.fc17.x86_64
Comment 5 Fedora End Of Life 2013-07-03 23:43:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 07:40:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.